---
title: CSSValue.cssText
slug: Web/API/CSSValue/cssText
tags:
  - API
  - CSSValue
  - Property
  - Reference
  - cssText
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>cssText</strong></code> property of the {{domxref("CSSValue")}} interface represents the current computed CSS property value.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>cssText</var> = <var>cssValue</var>.cssText;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} representing the current CSS property value.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js; highlight[3]">var styleDeclaration = document.styleSheets[0].cssRules[0].style;
var cssValue = styleDeclaration.getPropertyCSSValue("color");
console.log(cssValue.cssText);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Style', 'css.html#CSS-CSSValue-cssText', 'CSSValue.cssText')}}</td>
   <td>{{Spec2('DOM2 Style')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.CSSValue.cssText")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("CSSStyleDeclaration.getPropertyCSSValue()")}}</li>
</ul>
